local state = {}

function state:load()
	newText("Polandball: Adventures of Time", w/2, 2*h/3, 0.25, "mainMenu", "", true, true)
	newText("Start", w/2, 2*h/3, 0.25, "mainMenu", "start", true)
	newText("Continue", w/2, 2*h/3, 0.25, "mainMenu", "continue", true)
	newText("Options", w/2, 2*h/3, 0.25, "mainMenu", "options", true)
	newText("Credits", w/2, 2*h/3, 0.25, "mainMenu", "credit", true)
	newText("Quit...", w/2, 2*h/3, 0.25, "mainMenu", "quit", true)

	newText("Developers:", w/2, 2*h/3, 0.25, "credit", "mainMenu", true)
	newText("Davidobot", w/2, 2*h/3, 0.25, "credit", "mainMenu", true)
	newText("", w/2, 2*h/3, 0.25, "credit", "mainMenu", true)
	newText("Libraries:", w/2, 2*h/3, 0.25, "credit", "mainMenu", true)
	newText("LOVE Community", w/2, 2*h/3, 0.25, "credit", "mainMenu", true)

	newText("", w/2, 2*h/3, 0.25, "quit", "", true)
	newText("", w/2, 2*h/3, 0.25, "start", "", true)

	newSound("sfx/key1.ogg")

	newSound("sfx/rollup1.ogg")
	newSound("sfx/rollup2.ogg")
	newSound("sfx/rollup3.ogg")
	newSound("sfx/linebreak.ogg")
	newSound("sfx/paperout.ogg")

	--newSound("sfx/ievanPolkka.ogg", true, 0.5)

	newSound("sfx/space.ogg")
end

function state:update(dt)
	updateText(dt)
end

function state:draw()
	love.graphics.setColor(0, 0, 0)
	drawText()
end

function state:key(key)
	keyText(key)
end

function state:unkey(key)
end

return state